<list-template titleList="Comunicados" #list [load]="service.loading | async" [service]="service">
    <ng-container content-type="search-filter">
      <search-bar [service]="service" [columns]="columns" [activeColumn]="columns[0]"></search-bar>
    </ng-container>
    <ng-container content-type="topbar-action">
      <div class="btn-group btn-group-toggle d-none d-md-inline-flex">
        <label for="queja" class="btn btn-sm">
          <input type="checkbox" id="queja">
          <span class="badge badge-sm badge-danger badge-square border border-danger-darken mr-1"></span>
          Queja
        </label>
        <label for="sugerencia" class="btn btn-sm">
          <input type="checkbox" id="sugerencia">
          <span class="badge badge-sm badge-success badge-square border border-success-darken mr-1"></span>
          Sujerencia
        </label>
        <label for="solicitud" class="btn btn-sm">
          <input type="checkbox" id="solicitud">
          <span class="badge badge-sm badge-info badge-square border border-info-darken mr-1"></span>
          Solicitud
        </label>
      </div>
    </ng-container>
    <table class="table table-bordered">
      <thead [class.border-bottom]="service.loading | async">
        <tr>
          <th>Titulo</th>
	  <th style="width: 25px;">Estado</th>
          <th></th>
        </tr>
      </thead>
      <tbody>
        <tr *ngFor="let c of service.data">
	      <ng-container [ngSwitch]="c.Clasificacion">
              <td class="text-secondary font-weight-bold" *ngSwitchCase="'Solicitud'"
		style="background-color: rgba(0 168 255 / 15%);">
                 {{ c.Titulo }}
              </td>
              <td class="text-secondary font-weight-bold" *ngSwitchCase="'Queja'"
		style="background-color: rgb(255 84 84 / 15%);">
                 {{ c.Titulo }}
              </td>
              <td class="text-secondary font-weight-bold" *ngSwitchDefault
		style="background-color: rgb(83 206 102 / 15%);">
                 {{ c.Titulo }}
              </td>
              </ng-container>
	      <td>
		<span class="badge badge-sm border"
		    [ngClass]="[c.Leido ? 'badge-success text-white border-success-darken' : 'text-muted']">
		    {{ c.Leido ? 'Leido' : 'Sin Leer' }}
		</span>
	      </td>
              <td class="table-action">
                <button class="btn btn-sm btn-danger" (click)="list.onDelete(c)">
                  <i class="mdi mdi-delete"></i>
                </button>
              </td>
        </tr>
      </tbody>
      <tfoot>
        <tr>
            <td colspan="99" *ngIf="service.data.length === 0 && (service.loading | async) == false">
                No Hay Registros
            </td>
        </tr>
      </tfoot>
    </table>
  </list-template>
  
  <ng-template #form>
    <app-comunicado-form></app-comunicado-form>
  </ng-template>
  